Debian Bug report logs - #622231
Dell Latitude E6400: AlpsPS/2 touchpad misdetected as plain PS/2

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Vincent Lefevre <vincent@vinc17.net>

Date: Mon, 11 Apr 2011 08:54:02 UTC

Severity: important

Tags: upstream

Merged with 740485

Found in versions linux/3.13.6-1, linux/3.11.6-2, linux/3.2.21-2, linux-2.6/3.2.1-1, linux/3.13.4-1, linux/3.12.9-1, linux/3.12.6-2, linux/3.8.11-1, linux-2.6/3.1.1-1, linux/3.5.5-1~experimental.1, linux-2.6/2.6.38-4, linux-2.6/3.0.0-2, linux-2.6/3.0.0-4, linux/3.10.7-1

Forwarded to linux-input@vger.kernel.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#622231; Package xserver-xorg-input-synaptics. (Mon, 11 Apr 2011 08:54:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 11 Apr 2011 08:54:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Mon, 11 Apr 2011 10:48:55 +0200
Package: xserver-xorg-input-synaptics
Version: 1.4.0-1
Severity: normal

After some reboots, the pointer is sometimes slow to move with the
touchpad. Restarting the X server (as done by gdm3) doesn't solve
the problem. A reboot is required. I already got this problem
several weeks ago.

Here's the Xorg.0.log excerpt concerning the touchpad when the problem
occurred:

[    33.401] (II) config/udev: Adding input device PS/2 ALPS DualPoint TouchPad (/dev/input/event13)
[    33.401] (**) PS/2 ALPS DualPoint TouchPad: Applying InputClass "evdev pointer catchall"
[    33.401] (**) PS/2 ALPS DualPoint TouchPad: always reports core events
[    33.401] (**) PS/2 ALPS DualPoint TouchPad: Device: "/dev/input/event13"
[    33.401] (--) PS/2 ALPS DualPoint TouchPad: Found 3 mouse buttons
[    33.401] (--) PS/2 ALPS DualPoint TouchPad: Found relative axes
[    33.401] (--) PS/2 ALPS DualPoint TouchPad: Found x and y relative axes
[    33.401] (II) PS/2 ALPS DualPoint TouchPad: Configuring as mouse
[    33.401] (**) PS/2 ALPS DualPoint TouchPad: YAxisMapping: buttons 4 and 5
[    33.401] (**) PS/2 ALPS DualPoint TouchPad: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    33.402] (II) XINPUT: Adding extended input device "PS/2 ALPS DualPoint TouchPad" (type: MOUSE)
[    33.402] (**) PS/2 ALPS DualPoint TouchPad: (accel) keeping acceleration scheme 1
[    33.402] (**) PS/2 ALPS DualPoint TouchPad: (accel) acceleration profile 0
[    33.402] (**) PS/2 ALPS DualPoint TouchPad: (accel) acceleration factor: 2.000
[    33.402] (**) PS/2 ALPS DualPoint TouchPad: (accel) acceleration threshold: 4
[    33.402] (II) PS/2 ALPS DualPoint TouchPad: initialized for relative axes.
[    33.402] (II) config/udev: Adding input device PS/2 ALPS DualPoint TouchPad (/dev/input/mouse0)
[    33.402] (II) No input driver/identifier specified (ignoring)

After another reboot, the slowness problem no logner appeared, and
the log shows:

[    33.743] (II) config/udev: Adding input device AlpsPS/2 ALPS DualPoint TouchPad (/dev/input/event8)
[    33.743] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "evdev touchpad catchall"
[    33.743] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "touchpad catchall"
[    33.743] (II) LoadModule: "synaptics"
[    33.743] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[    33.797] (II) Module synaptics: vendor="X.Org Foundation"
[    33.797] 	compiled for 1.9.4, module version = 1.4.0
[    33.797] 	Module class: X.Org XInput Driver
[    33.797] 	ABI class: X.Org XInput driver, version 11.0
[    33.797] (**) Option "Device" "/dev/input/event8"
[    33.860] (--) AlpsPS/2 ALPS DualPoint TouchPad: x-axis range 0 - 1023
[    33.860] (--) AlpsPS/2 ALPS DualPoint TouchPad: y-axis range 0 - 767
[    33.860] (--) AlpsPS/2 ALPS DualPoint TouchPad: pressure range 0 - 127
[    33.860] (--) AlpsPS/2 ALPS DualPoint TouchPad: buttons: left right middle
[    33.860] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid finger width range.  defaulting to 0 - 16
[    33.880] (--) AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[    33.880] (**) AlpsPS/2 ALPS DualPoint TouchPad: always reports core events
[    33.884] (II) XINPUT: Adding extended input device "AlpsPS/2 ALPS DualPoint TouchPad" (type: TOUCHPAD)
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) MinSpeed is now constant deceleration 2.5
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: MaxSpeed is now 1.75
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: AccelFactor is now 0.156
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) keeping acceleration scheme 1
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration profile 1
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration factor: 2.000
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration threshold: 4
[    33.888] (--) AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[    33.888] (II) config/udev: Adding input device AlpsPS/2 ALPS DualPoint TouchPad (/dev/input/mouse1)
[    33.888] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "touchpad catchall"
[    33.888] (**) Option "Device" "/dev/input/mouse1"
[    33.896] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid x-axis range.  defaulting to 1615 - 5685
[    33.896] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid y-axis range.  defaulting to 1729 - 4171
[    33.896] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid pressure range.  defaulting to 0 - 256
[    33.896] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid finger width range.  defaulting to 0 - 16
[    33.916] (EE) Query no Synaptics: 6003C8
[    33.916] (--) AlpsPS/2 ALPS DualPoint TouchPad: no supported touchpad found
[    33.916] (EE) AlpsPS/2 ALPS DualPoint TouchPad Unable to query/initialize Synaptics hardware.
[    33.944] (EE) PreInit returned NULL for "AlpsPS/2 ALPS DualPoint TouchPad"

The problem seems to be that the synaptics driver isn't used in the first
case.

-- Package-specific info:
X server symlink status:
------------------------
lrwxrwxrwx 1 root root 13 2009-06-04 16:13:46 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1926464 2011-03-26 04:49:34 /usr/bin/Xorg

VGA-compatible devices on PCI bus:
----------------------------------
01:00.0 VGA compatible controller [0300]: nVidia Corporation G98M [Quadro NVS 160M] [10de:06eb] (rev a1)

Xorg X server configuration file status:
----------------------------------------
-rw-r--r-- 1 root root 352 2011-03-28 04:17:22 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:
-------------------------------
# /etc/X11/xorg.conf - see xorg.conf(5) man page.

Section "Device"
        Identifier      "Device0"
        Driver          "nouveau"
        # See nouveau(4) man page.
        # Workaround for Debian bug 614938 / FreeDesktop bug 33977.
        Option          "WrappedFB" "true"
EndSection

# $Id: xorg.conf 42777 2011-03-28 00:35:33Z vinc17/xvii $

/etc/X11/xorg.conf.d does not exist.

KMS configuration files:
------------------------
/etc/modprobe.d/i915-kms.conf:
  options i915 modeset=1
/etc/modprobe.d/radeon-kms.conf:
  options radeon modeset=1

Kernel version (/proc/version):
-------------------------------
Linux version 2.6.38-2-amd64 (Debian 2.6.38-3) (ben@decadent.org.uk) (gcc version 4.4.5 (Debian 4.4.5-15) ) #1 SMP Thu Apr 7 04:28:07 UTC 2011

Xorg X server log files on system:
----------------------------------
-rw-r--r-- 1 root root 30504 2011-04-11 10:25:54 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file (/var/log/Xorg.0.log):
---------------------------------------------------------------------
[    30.593] 
X.Org X Server 1.9.5
Release Date: 2011-03-17
[    30.659] X Protocol Version 11, Revision 0
[    30.659] Build Operating System: Linux 2.6.38-1-amd64 x86_64 Debian
[    30.659] Current Operating System: Linux xvii 2.6.38-2-amd64 #1 SMP Thu Apr 7 04:28:07 UTC 2011 x86_64
[    30.659] Kernel command line: root=/dev/mapper/xvii-root ro quiet
[    30.659] Build Date: 26 March 2011  03:32:34AM
[    30.659] xorg-server 2:1.9.5-1 (Cyril Brulebois <kibi@debian.org>) 
[    30.659] Current version of pixman: 0.21.6
[    30.659] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[    30.659] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[    30.660] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Apr 11 10:25:43 2011
[    30.734] (==) Using config file: "/etc/X11/xorg.conf"
[    30.734] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[    30.781] (==) No Layout section.  Using the first Screen section.
[    30.781] (==) No screen section available. Using defaults.
[    30.781] (**) |-->Screen "Default Screen Section" (0)
[    30.781] (**) |   |-->Monitor "<default monitor>"
[    30.781] (==) No device specified for screen "Default Screen Section".
	Using the first device section listed.
[    30.781] (**) |   |-->Device "Device0"
[    30.781] (==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
[    30.781] (==) Automatically adding devices
[    30.781] (==) Automatically enabling devices
[    30.863] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[    30.863] 	Entry deleted from font path.
[    31.003] (==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
[    31.003] (==) ModulePath set to "/usr/lib/xorg/modules"
[    31.003] (II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
[    31.003] (II) Loader magic: 0x7d1be0
[    31.003] (II) Module ABI versions:
[    31.003] 	X.Org ANSI C Emulation: 0.4
[    31.003] 	X.Org Video Driver: 8.0
[    31.003] 	X.Org XInput driver : 11.0
[    31.003] 	X.Org Server Extension : 4.0
[    31.004] (--) PCI:*(0:1:0:0) 10de:06eb:1028:0233 rev 161, Mem @ 0xf5000000/16777216, 0xe0000000/268435456, 0xf2000000/33554432, I/O @ 0x0000df00/128, BIOS @ 0x????????/131072
[    31.034] (II) Open ACPI successful (/var/run/acpid.socket)
[    31.034] (II) LoadModule: "extmod"
[    31.196] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[    31.206] (II) Module extmod: vendor="X.Org Foundation"
[    31.206] 	compiled for 1.9.5, module version = 1.0.0
[    31.206] 	Module class: X.Org Server Extension
[    31.206] 	ABI class: X.Org Server Extension, version 4.0
[    31.206] (II) Loading extension SELinux
[    31.206] (II) Loading extension MIT-SCREEN-SAVER
[    31.206] (II) Loading extension XFree86-VidModeExtension
[    31.206] (II) Loading extension XFree86-DGA
[    31.206] (II) Loading extension DPMS
[    31.206] (II) Loading extension XVideo
[    31.206] (II) Loading extension XVideo-MotionCompensation
[    31.206] (II) Loading extension X-Resource
[    31.206] (II) LoadModule: "dbe"
[    31.206] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[    31.208] (II) Module dbe: vendor="X.Org Foundation"
[    31.208] 	compiled for 1.9.5, module version = 1.0.0
[    31.208] 	Module class: X.Org Server Extension
[    31.209] 	ABI class: X.Org Server Extension, version 4.0
[    31.209] (II) Loading extension DOUBLE-BUFFER
[    31.209] (II) LoadModule: "glx"
[    31.209] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[    31.219] (II) Module glx: vendor="X.Org Foundation"
[    31.219] 	compiled for 1.9.5, module version = 1.0.0
[    31.219] 	ABI class: X.Org Server Extension, version 4.0
[    31.219] (==) AIGLX enabled
[    31.219] (II) Loading extension GLX
[    31.220] (II) LoadModule: "record"
[    31.220] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[    31.244] (II) Module record: vendor="X.Org Foundation"
[    31.244] 	compiled for 1.9.5, module version = 1.13.0
[    31.244] 	Module class: X.Org Server Extension
[    31.244] 	ABI class: X.Org Server Extension, version 4.0
[    31.244] (II) Loading extension RECORD
[    31.244] (II) LoadModule: "dri"
[    31.244] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[    31.449] (II) Module dri: vendor="X.Org Foundation"
[    31.449] 	compiled for 1.9.5, module version = 1.0.0
[    31.449] 	ABI class: X.Org Server Extension, version 4.0
[    31.449] (II) Loading extension XFree86-DRI
[    31.449] (II) LoadModule: "dri2"
[    31.449] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    31.450] (II) Module dri2: vendor="X.Org Foundation"
[    31.450] 	compiled for 1.9.5, module version = 1.2.0
[    31.450] 	ABI class: X.Org Server Extension, version 4.0
[    31.450] (II) Loading extension DRI2
[    31.450] (II) LoadModule: "nouveau"
[    31.470] (II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
[    31.503] (II) Module nouveau: vendor="X.Org Foundation"
[    31.503] 	compiled for 1.9.4, module version = 0.0.16
[    31.503] 	Module class: X.Org Video Driver
[    31.503] 	ABI class: X.Org Video Driver, version 8.0
[    31.504] (II) NOUVEAU driver Date:   Tue Nov 30 15:27:36 2010 +1000
[    31.504] (II) NOUVEAU driver for NVIDIA chipset families :
[    31.504] 	RIVA TNT    (NV04)
[    31.504] 	RIVA TNT2   (NV05)
[    31.504] 	GeForce 256 (NV10)
[    31.504] 	GeForce 2   (NV11, NV15)
[    31.504] 	GeForce 4MX (NV17, NV18)
[    31.504] 	GeForce 3   (NV20)
[    31.504] 	GeForce 4Ti (NV25, NV28)
[    31.504] 	GeForce FX  (NV3x)
[    31.504] 	GeForce 6   (NV4x)
[    31.504] 	GeForce 7   (G7x)
[    31.504] 	GeForce 8   (G8x)
[    31.504] (++) using VT number 7

[    31.507] drmOpenDevice: node name is /dev/dri/card0
[    31.507] drmOpenDevice: open result is 8, (OK)
[    31.507] drmOpenByBusid: Searching for BusID pci:0000:01:00.0
[    31.507] drmOpenDevice: node name is /dev/dri/card0
[    31.507] drmOpenDevice: open result is 8, (OK)
[    31.507] drmOpenByBusid: drmOpenMinor returns 8
[    31.507] drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
[    31.507] (II) [drm] nouveau interface version: 0.0.16
[    31.507] (II) Loading sub module "dri"
[    31.507] (II) LoadModule: "dri"
[    31.507] (II) Reloading /usr/lib/xorg/modules/extensions/libdri.so
[    31.507] (II) NOUVEAU(0): Loaded DRI module
[    31.507] drmOpenDevice: node name is /dev/dri/card0
[    31.507] drmOpenDevice: open result is 9, (OK)
[    31.507] drmOpenDevice: node name is /dev/dri/card0
[    31.507] drmOpenDevice: open result is 9, (OK)
[    31.507] drmOpenByBusid: Searching for BusID pci:0000:01:00.0
[    31.507] drmOpenDevice: node name is /dev/dri/card0
[    31.507] drmOpenDevice: open result is 9, (OK)
[    31.507] drmOpenByBusid: drmOpenMinor returns 9
[    31.507] drmOpenByBusid: drmGetBusid reports pci:0000:01:00.0
[    31.507] (II) [drm] DRM interface version 1.4
[    31.507] (II) [drm] DRM open master succeeded.
[    31.507] (--) NOUVEAU(0): Chipset: "NVIDIA NV98"
[    31.507] (II) NOUVEAU(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
[    31.507] (==) NOUVEAU(0): Depth 24, (--) framebuffer bpp 32
[    31.507] (==) NOUVEAU(0): RGB weight 888
[    31.507] (==) NOUVEAU(0): Default visual is TrueColor
[    31.507] (**) NOUVEAU(0): Option "WrappedFB" "true"
[    31.507] (==) NOUVEAU(0): Using HW cursor
[    31.507] (==) NOUVEAU(0): GLX sync to VBlank disabled.
[    31.698] (II) NOUVEAU(0): Output LVDS-1 has no monitor section
[    31.797] (II) NOUVEAU(0): Output VGA-1 has no monitor section
[    31.807] (II) NOUVEAU(0): Output DP-1 has no monitor section
[    31.817] (II) NOUVEAU(0): Output DP-2 has no monitor section
[    31.941] (II) NOUVEAU(0): EDID for output LVDS-1
[    31.941] (II) NOUVEAU(0): Manufacturer: AUO  Model: 4047  Serial#: 0
[    31.941] (II) NOUVEAU(0): Year: 2007  Week: 1
[    31.941] (II) NOUVEAU(0): EDID Version: 1.3
[    31.941] (II) NOUVEAU(0): Digital Display Input
[    31.941] (II) NOUVEAU(0): Max Image Size [cm]: horiz.: 30  vert.: 19
[    31.941] (II) NOUVEAU(0): Gamma: 2.20
[    31.941] (II) NOUVEAU(0): No DPMS capabilities specified
[    31.941] (II) NOUVEAU(0): Supported color encodings: RGB 4:4:4 YCrCb 4:4:4 
[    31.941] (II) NOUVEAU(0): First detailed timing is preferred mode
[    31.941] (II) NOUVEAU(0): redX: 0.580 redY: 0.340   greenX: 0.330 greenY: 0.575
[    31.941] (II) NOUVEAU(0): blueX: 0.155 blueY: 0.135   whiteX: 0.313 whiteY: 0.329
[    31.941] (II) NOUVEAU(0): Manufacturer's mask: 0
[    31.941] (II) NOUVEAU(0): Supported detailed timing:
[    31.941] (II) NOUVEAU(0): clock: 108.0 MHz   Image Size:  303 x 189 mm
[    31.941] (II) NOUVEAU(0): h_active: 1440  h_sync: 1504  h_sync_end 1536 h_blank_end 1970 h_border: 0
[    31.941] (II) NOUVEAU(0): v_active: 900  v_sync: 903  v_sync_end 906 v_blanking: 912 v_border: 0
[    31.941] (II) NOUVEAU(0): Supported detailed timing:
[    31.941] (II) NOUVEAU(0): clock: 72.5 MHz   Image Size:  303 x 189 mm
[    31.941] (II) NOUVEAU(0): h_active: 1440  h_sync: 1504  h_sync_end 1536 h_blank_end 1970 h_border: 0
[    31.941] (II) NOUVEAU(0): v_active: 900  v_sync: 903  v_sync_end 906 v_blanking: 912 v_border: 0
[    31.941] (II) NOUVEAU(0):  GX968�B141PW4
[    31.941] (II) NOUVEAU(0): Unknown vendor-specific block 0
[    31.941] (II) NOUVEAU(0): EDID (in hex):
[    31.941] (II) NOUVEAU(0): 	00ffffffffffff0006af474000000000
[    31.941] (II) NOUVEAU(0): 	01110103901e13780a89e59457549327
[    31.941] (II) NOUVEAU(0): 	22505400000001010101010101010101
[    31.941] (II) NOUVEAU(0): 	010101010101302aa01252840c304020
[    31.941] (II) NOUVEAU(0): 	33002fbd1000001a521ca01252840c30
[    31.941] (II) NOUVEAU(0): 	402033002fbd1000001a000000fe0047
[    31.941] (II) NOUVEAU(0): 	58393638804231343150573400000000
[    31.941] (II) NOUVEAU(0): 	00000000000000000002010a202000ce
[    31.941] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[    31.941] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[    31.941] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[    31.941] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)
[    31.941] (II) NOUVEAU(0): Printing probed modes for output LVDS-1
[    31.941] (II) NOUVEAU(0): Modeline "1440x900"x60.1  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[    31.941] (II) NOUVEAU(0): Modeline "1440x900"x40.4   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)
[    31.941] (II) NOUVEAU(0): Modeline "1152x864"x60.0   81.75  1152 1216 1336 1520  864 867 871 897 -hsync +vsync (53.8 kHz)
[    31.941] (II) NOUVEAU(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
[    31.941] (II) NOUVEAU(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
[    31.941] (II) NOUVEAU(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
[    31.941] (II) NOUVEAU(0): Modeline "720x400"x59.6   22.25  720 744 808 896  400 403 413 417 -hsync +vsync (24.8 kHz)
[    31.941] (II) NOUVEAU(0): Modeline "640x400"x60.0   20.00  640 664 720 800  400 403 409 417 -hsync +vsync (25.0 kHz)
[    31.941] (II) NOUVEAU(0): Modeline "640x350"x59.8   17.50  640 664 720 800  350 353 363 366 -hsync +vsync (21.9 kHz)
[    32.040] (II) NOUVEAU(0): EDID for output VGA-1
[    32.050] (II) NOUVEAU(0): EDID for output DP-1
[    32.060] (II) NOUVEAU(0): EDID for output DP-2
[    32.060] (II) NOUVEAU(0): Output LVDS-1 connected
[    32.060] (II) NOUVEAU(0): Output VGA-1 disconnected
[    32.060] (II) NOUVEAU(0): Output DP-1 disconnected
[    32.060] (II) NOUVEAU(0): Output DP-2 disconnected
[    32.060] (II) NOUVEAU(0): Using exact sizes for initial modes
[    32.060] (II) NOUVEAU(0): Output LVDS-1 using initial mode 1440x900
[    32.060] (II) NOUVEAU(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise stated.
[    32.060] (--) NOUVEAU(0): Virtual size is 1440x900 (pitch 0)
[    32.060] (**) NOUVEAU(0):  Driver mode "1440x900": 108.0 MHz (scaled from 0.0 MHz), 54.8 kHz, 60.1 Hz
[    32.060] (II) NOUVEAU(0): Modeline "1440x900"x60.1  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[    32.060] (**) NOUVEAU(0):  Driver mode "1440x900": 72.5 MHz (scaled from 0.0 MHz), 36.8 kHz, 40.4 Hz
[    32.060] (II) NOUVEAU(0): Modeline "1440x900"x40.4   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)
[    32.060] (**) NOUVEAU(0):  Driver mode "1152x864": 81.8 MHz (scaled from 0.0 MHz), 53.8 kHz, 60.0 Hz
[    32.060] (II) NOUVEAU(0): Modeline "1152x864"x60.0   81.75  1152 1216 1336 1520  864 867 871 897 -hsync +vsync (53.8 kHz)
[    32.060] (**) NOUVEAU(0):  Driver mode "1024x768": 63.5 MHz (scaled from 0.0 MHz), 47.8 kHz, 59.9 Hz
[    32.060] (II) NOUVEAU(0): Modeline "1024x768"x59.9   63.50  1024 1072 1176 1328  768 771 775 798 -hsync +vsync (47.8 kHz)
[    32.060] (**) NOUVEAU(0):  Driver mode "800x600": 38.2 MHz (scaled from 0.0 MHz), 37.4 kHz, 59.9 Hz
[    32.060] (II) NOUVEAU(0): Modeline "800x600"x59.9   38.25  800 832 912 1024  600 603 607 624 -hsync +vsync (37.4 kHz)
[    32.060] (**) NOUVEAU(0):  Driver mode "640x480": 23.8 MHz (scaled from 0.0 MHz), 29.7 kHz, 59.4 Hz
[    32.060] (II) NOUVEAU(0): Modeline "640x480"x59.4   23.75  640 664 720 800  480 483 487 500 -hsync +vsync (29.7 kHz)
[    32.060] (**) NOUVEAU(0):  Driver mode "720x400": 22.2 MHz (scaled from 0.0 MHz), 24.8 kHz, 59.6 Hz
[    32.060] (II) NOUVEAU(0): Modeline "720x400"x59.6   22.25  720 744 808 896  400 403 413 417 -hsync +vsync (24.8 kHz)
[    32.060] (**) NOUVEAU(0):  Driver mode "640x400": 20.0 MHz (scaled from 0.0 MHz), 25.0 kHz, 60.0 Hz
[    32.060] (II) NOUVEAU(0): Modeline "640x400"x60.0   20.00  640 664 720 800  400 403 409 417 -hsync +vsync (25.0 kHz)
[    32.060] (**) NOUVEAU(0):  Driver mode "640x350": 17.5 MHz (scaled from 0.0 MHz), 21.9 kHz, 59.8 Hz
[    32.060] (II) NOUVEAU(0): Modeline "640x350"x59.8   17.50  640 664 720 800  350 353 363 366 -hsync +vsync (21.9 kHz)
[    32.060] (**) NOUVEAU(0): Display dimensions: (300, 190) mm
[    32.060] (**) NOUVEAU(0): DPI set to (121, 120)
[    32.060] (II) Loading sub module "wfb"
[    32.060] (II) LoadModule: "wfb"
[    32.061] (II) Loading /usr/lib/xorg/modules/libwfb.so
[    32.183] (II) Module wfb: vendor="X.Org Foundation"
[    32.183] 	compiled for 1.9.5, module version = 1.0.0
[    32.183] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    32.183] (II) Loading sub module "fb"
[    32.183] (II) LoadModule: "fb"
[    32.183] (II) Loading /usr/lib/xorg/modules/libfb.so
[    32.191] (II) Module fb: vendor="X.Org Foundation"
[    32.191] 	compiled for 1.9.5, module version = 1.0.0
[    32.191] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    32.191] (II) Loading sub module "exa"
[    32.191] (II) LoadModule: "exa"
[    32.191] (II) Loading /usr/lib/xorg/modules/libexa.so
[    32.203] (II) Module exa: vendor="X.Org Foundation"
[    32.203] 	compiled for 1.9.5, module version = 2.5.0
[    32.203] 	ABI class: X.Org Video Driver, version 8.0
[    32.203] (II) Loading sub module "shadowfb"
[    32.203] (II) LoadModule: "shadowfb"
[    32.203] (II) Loading /usr/lib/xorg/modules/libshadowfb.so
[    32.204] (II) Module shadowfb: vendor="X.Org Foundation"
[    32.204] 	compiled for 1.9.5, module version = 1.0.0
[    32.204] 	ABI class: X.Org ANSI C Emulation, version 0.4
[    32.204] (--) Depth 24 pixmap format is 32 bpp
[    32.210] (II) NOUVEAU(0): Opened GPU channel 2
[    32.210] (II) NOUVEAU(0): [DRI2] Setup complete
[    32.210] (II) NOUVEAU(0): [DRI2]   DRI driver: nouveau
[    32.210] (II) NOUVEAU(0): GART: 512MiB available
[    32.212] (II) NOUVEAU(0): GART: Allocated 16MiB as a scratch buffer
[    32.232] (II) EXA(0): Driver allocated offscreen pixmaps
[    32.232] (II) EXA(0): Driver registered support for the following operations:
[    32.232] (II)         Solid
[    32.232] (II)         Copy
[    32.232] (II)         Composite (RENDER acceleration)
[    32.232] (II)         UploadToScreen
[    32.232] (II)         DownloadFromScreen
[    32.232] (==) NOUVEAU(0): Backing store disabled
[    32.232] (==) NOUVEAU(0): Silken mouse enabled
[    32.255] (II) NOUVEAU(0): [XvMC] Associated with Nouveau GeForce 8/9 Textured Video.
[    32.255] (II) NOUVEAU(0): [XvMC] Extension initialized.
[    32.255] (==) NOUVEAU(0): DPMS enabled
[    32.255] (II) NOUVEAU(0): RandR 1.2 enabled, ignore the following RandR disabled message.
[    32.256] (--) RandR disabled
[    32.256] (II) Initializing built-in extension Generic Event Extension
[    32.256] (II) Initializing built-in extension SHAPE
[    32.256] (II) Initializing built-in extension MIT-SHM
[    32.256] (II) Initializing built-in extension XInputExtension
[    32.256] (II) Initializing built-in extension XTEST
[    32.256] (II) Initializing built-in extension BIG-REQUESTS
[    32.256] (II) Initializing built-in extension SYNC
[    32.256] (II) Initializing built-in extension XKEYBOARD
[    32.256] (II) Initializing built-in extension XC-MISC
[    32.256] (II) Initializing built-in extension SECURITY
[    32.256] (II) Initializing built-in extension XINERAMA
[    32.256] (II) Initializing built-in extension XFIXES
[    32.256] (II) Initializing built-in extension RENDER
[    32.256] (II) Initializing built-in extension RANDR
[    32.256] (II) Initializing built-in extension COMPOSITE
[    32.256] (II) Initializing built-in extension DAMAGE
[    32.256] (II) SELinux: Disabled on system
[    32.306] (II) AIGLX error: dlopen of /usr/lib/dri/nouveau_dri.so failed (/usr/lib/dri/nouveau_dri.so: cannot open shared object file: No such file or directory)
[    32.306] (II) AIGLX: reverting to software rendering
[    32.306] (II) AIGLX: Screen 0 is not DRI capable
[    32.511] (II) AIGLX: Loaded and initialized /usr/lib/dri/swrast_dri.so
[    32.511] (II) GLX: Initialized DRISWRAST GL provider for screen 0
[    32.516] (II) NOUVEAU(0): NVEnterVT is called.
[    32.516] (II) NOUVEAU(0): Setting screen physical size to 381 x 238
[    32.516] resize called 1440 900
[    33.588] (II) config/udev: Adding input device Video Bus (/dev/input/event2)
[    33.588] (**) Video Bus: Applying InputClass "evdev keyboard catchall"
[    33.588] (II) LoadModule: "evdev"
[    33.588] (II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
[    33.658] (II) Module evdev: vendor="X.Org Foundation"
[    33.658] 	compiled for 1.9.4, module version = 2.6.0
[    33.658] 	Module class: X.Org XInput Driver
[    33.658] 	ABI class: X.Org XInput driver, version 11.0
[    33.658] (**) Video Bus: always reports core events
[    33.658] (**) Video Bus: Device: "/dev/input/event2"
[    33.668] (--) Video Bus: Found keys
[    33.668] (II) Video Bus: Configuring as keyboard
[    33.668] (II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
[    33.668] (**) Option "xkb_rules" "evdev"
[    33.668] (**) Option "xkb_model" "pc105"
[    33.668] (**) Option "xkb_layout" "gb"
[    33.668] (**) Option "xkb_options" "lv3:ralt_switch"
[    33.703] (II) config/udev: Adding input device Power Button (/dev/input/event3)
[    33.703] (**) Power Button: Applying InputClass "evdev keyboard catchall"
[    33.703] (**) Power Button: always reports core events
[    33.703] (**) Power Button: Device: "/dev/input/event3"
[    33.712] (--) Power Button: Found keys
[    33.712] (II) Power Button: Configuring as keyboard
[    33.712] (II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
[    33.712] (**) Option "xkb_rules" "evdev"
[    33.712] (**) Option "xkb_model" "pc105"
[    33.712] (**) Option "xkb_layout" "gb"
[    33.712] (**) Option "xkb_options" "lv3:ralt_switch"
[    33.712] (II) config/udev: Adding input device Lid Switch (/dev/input/event1)
[    33.712] (II) No input driver/identifier specified (ignoring)
[    33.712] (II) config/udev: Adding input device Sleep Button (/dev/input/event5)
[    33.712] (**) Sleep Button: Applying InputClass "evdev keyboard catchall"
[    33.712] (**) Sleep Button: always reports core events
[    33.712] (**) Sleep Button: Device: "/dev/input/event5"
[    33.724] (--) Sleep Button: Found keys
[    33.724] (II) Sleep Button: Configuring as keyboard
[    33.724] (II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
[    33.724] (**) Option "xkb_rules" "evdev"
[    33.724] (**) Option "xkb_model" "pc105"
[    33.724] (**) Option "xkb_layout" "gb"
[    33.724] (**) Option "xkb_options" "lv3:ralt_switch"
[    33.726] (II) config/udev: Adding input device Laptop_Integrated_Webcam_0.3M (/dev/input/event9)
[    33.726] (**) Laptop_Integrated_Webcam_0.3M: Applying InputClass "evdev keyboard catchall"
[    33.726] (**) Laptop_Integrated_Webcam_0.3M: always reports core events
[    33.726] (**) Laptop_Integrated_Webcam_0.3M: Device: "/dev/input/event9"
[    33.736] (--) Laptop_Integrated_Webcam_0.3M: Found keys
[    33.736] (II) Laptop_Integrated_Webcam_0.3M: Configuring as keyboard
[    33.736] (II) XINPUT: Adding extended input device "Laptop_Integrated_Webcam_0.3M" (type: KEYBOARD)
[    33.736] (**) Option "xkb_rules" "evdev"
[    33.736] (**) Option "xkb_model" "pc105"
[    33.736] (**) Option "xkb_layout" "gb"
[    33.736] (**) Option "xkb_options" "lv3:ralt_switch"
[    33.736] (II) config/udev: Adding input device HDA Digital PCBeep (/dev/input/event10)
[    33.736] (II) No input driver/identifier specified (ignoring)
[    33.737] (II) config/udev: Adding input device HDA Intel Mic at Sep Left Jack (/dev/input/event11)
[    33.737] (II) No input driver/identifier specified (ignoring)
[    33.737] (II) config/udev: Adding input device HDA Intel Mic at Ext Right Jack (/dev/input/event12)
[    33.737] (II) No input driver/identifier specified (ignoring)
[    33.737] (II) config/udev: Adding input device HDA Intel Line Out at Sep Left Jack (/dev/input/event13)
[    33.737] (II) No input driver/identifier specified (ignoring)
[    33.737] (II) config/udev: Adding input device HDA Intel HP Out at Ext Right Jack (/dev/input/event14)
[    33.737] (II) No input driver/identifier specified (ignoring)
[    33.741] (II) config/udev: Adding input device AT Translated Set 2 keyboard (/dev/input/event0)
[    33.741] (**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard catchall"
[    33.741] (**) AT Translated Set 2 keyboard: always reports core events
[    33.741] (**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
[    33.741] (--) AT Translated Set 2 keyboard: Found keys
[    33.741] (II) AT Translated Set 2 keyboard: Configuring as keyboard
[    33.741] (II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard" (type: KEYBOARD)
[    33.741] (**) Option "xkb_rules" "evdev"
[    33.741] (**) Option "xkb_model" "pc105"
[    33.742] (**) Option "xkb_layout" "gb"
[    33.742] (**) Option "xkb_options" "lv3:ralt_switch"
[    33.742] (II) config/udev: Adding input device DualPoint Stick (/dev/input/event7)
[    33.742] (**) DualPoint Stick: Applying InputClass "evdev pointer catchall"
[    33.742] (**) DualPoint Stick: always reports core events
[    33.742] (**) DualPoint Stick: Device: "/dev/input/event7"
[    33.742] (--) DualPoint Stick: Found 3 mouse buttons
[    33.742] (--) DualPoint Stick: Found relative axes
[    33.742] (--) DualPoint Stick: Found x and y relative axes
[    33.742] (II) DualPoint Stick: Configuring as mouse
[    33.742] (**) DualPoint Stick: YAxisMapping: buttons 4 and 5
[    33.742] (**) DualPoint Stick: EmulateWheelButton: 4, EmulateWheelInertia: 10, EmulateWheelTimeout: 200
[    33.742] (II) XINPUT: Adding extended input device "DualPoint Stick" (type: MOUSE)
[    33.742] (**) DualPoint Stick: (accel) keeping acceleration scheme 1
[    33.742] (**) DualPoint Stick: (accel) acceleration profile 0
[    33.742] (**) DualPoint Stick: (accel) acceleration factor: 2.000
[    33.742] (**) DualPoint Stick: (accel) acceleration threshold: 4
[    33.742] (II) DualPoint Stick: initialized for relative axes.
[    33.742] (II) config/udev: Adding input device DualPoint Stick (/dev/input/mouse0)
[    33.743] (II) No input driver/identifier specified (ignoring)
[    33.743] (II) config/udev: Adding input device AlpsPS/2 ALPS DualPoint TouchPad (/dev/input/event8)
[    33.743] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "evdev touchpad catchall"
[    33.743] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "touchpad catchall"
[    33.743] (II) LoadModule: "synaptics"
[    33.743] (II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
[    33.797] (II) Module synaptics: vendor="X.Org Foundation"
[    33.797] 	compiled for 1.9.4, module version = 1.4.0
[    33.797] 	Module class: X.Org XInput Driver
[    33.797] 	ABI class: X.Org XInput driver, version 11.0
[    33.797] (**) Option "Device" "/dev/input/event8"
[    33.860] (--) AlpsPS/2 ALPS DualPoint TouchPad: x-axis range 0 - 1023
[    33.860] (--) AlpsPS/2 ALPS DualPoint TouchPad: y-axis range 0 - 767
[    33.860] (--) AlpsPS/2 ALPS DualPoint TouchPad: pressure range 0 - 127
[    33.860] (--) AlpsPS/2 ALPS DualPoint TouchPad: buttons: left right middle
[    33.860] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid finger width range.  defaulting to 0 - 16
[    33.880] (--) AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[    33.880] (**) AlpsPS/2 ALPS DualPoint TouchPad: always reports core events
[    33.884] (II) XINPUT: Adding extended input device "AlpsPS/2 ALPS DualPoint TouchPad" (type: TOUCHPAD)
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) MinSpeed is now constant deceleration 2.5
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: MaxSpeed is now 1.75
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: AccelFactor is now 0.156
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) keeping acceleration scheme 1
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration profile 1
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration factor: 2.000
[    33.884] (**) AlpsPS/2 ALPS DualPoint TouchPad: (accel) acceleration threshold: 4
[    33.888] (--) AlpsPS/2 ALPS DualPoint TouchPad: touchpad found
[    33.888] (II) config/udev: Adding input device AlpsPS/2 ALPS DualPoint TouchPad (/dev/input/mouse1)
[    33.888] (**) AlpsPS/2 ALPS DualPoint TouchPad: Applying InputClass "touchpad catchall"
[    33.888] (**) Option "Device" "/dev/input/mouse1"
[    33.896] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid x-axis range.  defaulting to 1615 - 5685
[    33.896] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid y-axis range.  defaulting to 1729 - 4171
[    33.896] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid pressure range.  defaulting to 0 - 256
[    33.896] (--) AlpsPS/2 ALPS DualPoint TouchPad: invalid finger width range.  defaulting to 0 - 16
[    33.916] (EE) Query no Synaptics: 6003C8
[    33.916] (--) AlpsPS/2 ALPS DualPoint TouchPad: no supported touchpad found
[    33.916] (EE) AlpsPS/2 ALPS DualPoint TouchPad Unable to query/initialize Synaptics hardware.
[    33.944] (EE) PreInit returned NULL for "AlpsPS/2 ALPS DualPoint TouchPad"
[    33.944] (II) config/udev: Adding input device PC Speaker (/dev/input/event6)
[    33.944] (II) No input driver/identifier specified (ignoring)
[    33.946] (II) config/udev: Adding input device ACPI Virtual Keyboard Device (/dev/input/event15)
[    33.946] (**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard catchall"
[    33.946] (**) ACPI Virtual Keyboard Device: always reports core events
[    33.946] (**) ACPI Virtual Keyboard Device: Device: "/dev/input/event15"
[    33.960] (--) ACPI Virtual Keyboard Device: Found keys
[    33.960] (II) ACPI Virtual Keyboard Device: Configuring as keyboard
[    33.960] (II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device" (type: KEYBOARD)
[    33.960] (**) Option "xkb_rules" "evdev"
[    33.960] (**) Option "xkb_model" "pc105"
[    33.960] (**) Option "xkb_layout" "gb"
[    33.960] (**) Option "xkb_options" "lv3:ralt_switch"
[    33.960] (II) config/udev: Adding input device Dell WMI hotkeys (/dev/input/event4)
[    33.960] (**) Dell WMI hotkeys: Applying InputClass "evdev keyboard catchall"
[    33.960] (**) Dell WMI hotkeys: always reports core events
[    33.960] (**) Dell WMI hotkeys: Device: "/dev/input/event4"
[    33.972] (--) Dell WMI hotkeys: Found keys
[    33.972] (II) Dell WMI hotkeys: Configuring as keyboard
[    33.972] (II) XINPUT: Adding extended input device "Dell WMI hotkeys" (type: KEYBOARD)
[    33.972] (**) Option "xkb_rules" "evdev"
[    33.972] (**) Option "xkb_model" "pc105"
[    33.972] (**) Option "xkb_layout" "gb"
[    33.972] (**) Option "xkb_options" "lv3:ralt_switch"
[    40.789] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[    40.789] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[    40.789] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[    40.789] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)
[    41.160] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[    41.160] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[    41.161] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[    41.161] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)
[    41.714] (II) NOUVEAU(0): EDID vendor "AUO", prod id 16455
[    41.714] (II) NOUVEAU(0): Printing DDC gathered Modelines:
[    41.714] (II) NOUVEAU(0): Modeline "1440x900"x0.0  108.00  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (54.8 kHz)
[    41.714] (II) NOUVEAU(0): Modeline "1440x900"x0.0   72.50  1440 1504 1536 1970  900 903 906 912 +hsync -vsync (36.8 kHz)

udev information:
-----------------
P: /devices/LNXSYSTM:00/device:00/PNP0A03:00/device:34/LNXVIDEO:00/input/input2/event2
N: input/event2
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0A03:00/device:34/LNXVIDEO:00/input/input2/event2
E: MAJOR=13
E: MINOR=66
E: DEVNAME=/dev/input/event2
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input3/event3
N: input/event3
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input3/event3
E: MAJOR=13
E: MINOR=67
E: DEVNAME=/dev/input/event3
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1/event1
N: input/event1
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1/event1
E: MAJOR=13
E: MINOR=65
E: DEVNAME=/dev/input/event1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: DMI_VENDOR=Dell Inc.

P: /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input5/event5
N: input/event5
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input5/event5
E: MAJOR=13
E: MINOR=69
E: DEVNAME=/dev/input/event5
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input9/event9
N: input/event9
S: input/by-id/usb-CN0TX5937248794R05C7_Laptop_Integrated_Webcam_0.3M-event-if00
S: input/by-path/pci-0000:00:1a.7-usb-0:6:1.0-event
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input9/event9
E: MAJOR=13
E: MINOR=73
E: DEVNAME=/dev/input/event9
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_VENDOR=CN0TX5937248794R05C7
E: ID_VENDOR_ENC=CN0TX5937248794R05C7
E: ID_VENDOR_ID=0c45
E: ID_MODEL=Laptop_Integrated_Webcam_0.3M
E: ID_MODEL_ENC=Laptop_Integrated_Webcam_0.3M
E: ID_MODEL_ID=63f8
E: ID_REVISION=8806
E: ID_SERIAL=CN0TX5937248794R05C7_Laptop_Integrated_Webcam_0.3M
E: ID_TYPE=video
E: ID_BUS=usb
E: ID_USB_INTERFACES=:0e0100:0e0200:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=uvcvideo
E: ID_PATH=pci-0000:00:1a.7-usb-0:6:1.0
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/input/by-id/usb-CN0TX5937248794R05C7_Laptop_Integrated_Webcam_0.3M-event-if00 /dev/input/by-path/pci-0000:00:1a.7-usb-0:6:1.0-event
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess

P: /devices/pci0000:00/0000:00:1b.0/input/input10/event10
N: input/event10
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/input/input10/event10
E: MAJOR=13
E: MINOR=74
E: DEVNAME=/dev/input/event10
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input11/event11
N: input/event11
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input11/event11
E: MAJOR=13
E: MINOR=75
E: DEVNAME=/dev/input/event11
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input12/event12
N: input/event12
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input12/event12
E: MAJOR=13
E: MINOR=76
E: DEVNAME=/dev/input/event12
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event13
N: input/event13
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input13/event13
E: MAJOR=13
E: MINOR=77
E: DEVNAME=/dev/input/event13
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.

P: /devices/pci0000:00/0000:00:1b.0/sound/card0/input14/event14
N: input/event14
E: UDEV_LOG=3
E: DEVPATH=/devices/pci0000:00/0000:00:1b.0/sound/card0/input14/event14
E: MAJOR=13
E: MINOR=78
E: DEVNAME=/dev/input/event14
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_PATH=pci-0000:00:1b.0
E: DMI_VENDOR=Dell Inc.

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: MAJOR=13
E: MINOR=64
E: DEVNAME=/dev/input/event0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-0-event-kbd
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.

P: /devices/platform/i8042/serio1/input/input7/event7
N: input/event7
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input7/event7
E: MAJOR=13
E: MINOR=71
E: DEVNAME=/dev/input/event7
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input7/mouse0
N: input/mouse0
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input7/mouse0
E: MAJOR=13
E: MINOR=32
E: DEVNAME=/dev/input/mouse0
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/platform/i8042/serio1/input/input8/event8
N: input/event8
S: input/by-path/platform-i8042-serio-1-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input8/event8
E: MAJOR=13
E: MINOR=72
E: DEVNAME=/dev/input/event8
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-event-mouse

P: /devices/platform/i8042/serio1/input/input8/mouse1
N: input/mouse1
S: input/by-path/platform-i8042-serio-1-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio1/input/input8/mouse1
E: MAJOR=13
E: MINOR=33
E: DEVNAME=/dev/input/mouse1
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-1
E: DEVLINKS=/dev/input/by-path/platform-i8042-serio-1-mouse

P: /devices/platform/pcspkr/input/input6/event6
N: input/event6
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input6/event6
E: MAJOR=13
E: MINOR=70
E: DEVNAME=/dev/input/event6
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=Dell Inc.
E: DEVLINKS=/dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/virtual/input/input15/event15
N: input/event15
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input15/event15
E: MAJOR=13
E: MINOR=79
E: DEVNAME=/dev/input/event15
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.

P: /devices/virtual/input/input4/event4
N: input/event4
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input4/event4
E: MAJOR=13
E: MINOR=68
E: DEVNAME=/dev/input/event4
E: SUBSYSTEM=input
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=gb
E: XKBOPTIONS=lv3:ralt_switch
E: BACKSPACE=guess
E: DMI_VENDOR=Dell Inc.


DRM Information from dmesg:
---------------------------
[    0.000000] No AGP bridge found
[    0.000000] No AGP bridge found
[    0.341034] ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
[    0.752985] Linux agpgart interface v0.103
[   10.921928] [drm] Initialized drm 1.1.0 20060810
[   11.028888] [drm] nouveau 0000:01:00.0: Detected an NV50 generation card (0x298580a2)
[   11.032167] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
[   11.136397] [drm] nouveau 0000:01:00.0: ... appears to be valid
[   11.136401] [drm] nouveau 0000:01:00.0: BIT BIOS found
[   11.136403] [drm] nouveau 0000:01:00.0: Bios version 62.98.3c.00
[   11.136407] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
[   11.136409] [drm] nouveau 0000:01:00.0: Found Display Configuration Block version 4.0
[   11.136412] [drm] nouveau 0000:01:00.0: Raw DCB entry 0: 01000323 00010034
[   11.136414] [drm] nouveau 0000:01:00.0: Raw DCB entry 1: 02011300 00000028
[   11.136416] [drm] nouveau 0000:01:00.0: Raw DCB entry 2: 02022386 0f200010
[   11.136418] [drm] nouveau 0000:01:00.0: Raw DCB entry 3: 02022332 00020010
[   11.136420] [drm] nouveau 0000:01:00.0: Raw DCB entry 4: 040333a6 0f200010
[   11.136422] [drm] nouveau 0000:01:00.0: Raw DCB entry 5: 04033312 00020010
[   11.136424] [drm] nouveau 0000:01:00.0: Raw DCB entry 6: 0000000e 00000000
[   11.136427] [drm] nouveau 0000:01:00.0: DCB connector table: VHER 0x40 5 16 4
[   11.136429] [drm] nouveau 0000:01:00.0:   0: 0x00000041: type 0x41 idx 0 tag 0xff
[   11.136431] [drm] nouveau 0000:01:00.0: unknown type, using 0x40
[   11.136434] [drm] nouveau 0000:01:00.0:   1: 0x00000100: type 0x00 idx 1 tag 0xff
[   11.136436] [drm] nouveau 0000:01:00.0:   2: 0x00005246: type 0x46 idx 2 tag 0x07
[   11.136439] [drm] nouveau 0000:01:00.0:   3: 0x0000a346: type 0x46 idx 3 tag 0x08
[   11.136449] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xD601
[   11.188154] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xD9B3
[   11.216053] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xE259
[   11.216076] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xE34B
[   11.224145] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xE557
[   11.224152] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xE5BC
[   11.248034] [drm] nouveau 0000:01:00.0: 0xE5BC: Condition still not met after 20ms, skipping following opcodes
[   11.269724] [drm] nouveau 0000:01:00.0: 4 available performance level(s)
[   11.269728] [drm] nouveau 0000:01:00.0: 0: memory 100MHz core 169MHz shader 338MHz voltage 900mV fanspeed 100%
[   11.269732] [drm] nouveau 0000:01:00.0: 1: memory 250MHz core 275MHz shader 550MHz voltage 900mV fanspeed 100%
[   11.269735] [drm] nouveau 0000:01:00.0: 2: memory 400MHz core 500MHz shader 1000MHz voltage 1090mV fanspeed 100%
[   11.269739] [drm] nouveau 0000:01:00.0: 3: memory 400MHz core 580MHz shader 1450MHz voltage 1170mV fanspeed 100%
[   11.269762] [drm] nouveau 0000:01:00.0: Register 0x00004030 not found in PLL limits table
[   11.269881] [drm] nouveau 0000:01:00.0: c: memory 249MHz core 275MHz shader 1100MHz voltage 900mV
[   11.270071] [drm] nouveau 0000:01:00.0: Detected 256MiB VRAM
[   11.285400] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
[   11.314721] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[   11.314723] [drm] No driver support for vblank timestamp query.
[   11.320477] [drm] nouveau 0000:01:00.0: ACPI backlight interface available, not registering our own
[   11.507971] [drm] nouveau 0000:01:00.0: allocated 1440x900 fb: 0x60000000, bo ffff88011a492000
[   11.521649] drm: registered panic notifier
[   11.521656] [drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.38-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-input-synaptics depends on:
ii  libc6                         2.11.2-13  Embedded GNU C Library: Shared lib
ii  libx11-6                      2:1.4.3-1  X11 client-side library
ii  libxi6                        2:1.4.2-1  X11 Input extension library
ii  libxtst6                      2:1.2.0-1  X11 Testing -- Record extension li
ii  xserver-xorg-core [xorg-input 2:1.9.5-1  Xorg X server - core server

xserver-xorg-input-synaptics recommends no packages.

Versions of packages xserver-xorg-input-synaptics suggests:
ii  gpointing-device-settings     1.5.1-4    configuration tool for pointing de
pn  touchfreeze                   <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#622231; Package xserver-xorg-input-synaptics. (Sun, 08 May 2011 23:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 08 May 2011 23:33:07 GMT) Full text and rfc822 format available.

Message #10 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Mon, 9 May 2011 01:30:37 +0200
This bug stills occurs after the latest sid upgrade.

This time I had to do 3 reboots to make it work!

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#622231; Package xserver-xorg-input-synaptics. (Mon, 09 May 2011 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 09 May 2011 18:42:03 GMT) Full text and rfc822 format available.

Message #15 received at 622231@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Vincent Lefevre <vincent@vinc17.net>, 622231@bugs.debian.org
Subject: Re: Bug#622231: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Mon, 9 May 2011 20:41:19 +0200
On Mon, Apr 11, 2011 at 10:48:55 +0200, Vincent Lefevre wrote:

> The problem seems to be that the synaptics driver isn't used in the first
> case.
> 
That means udev or your kernel is screwed up.  Make sure your root
filesystem doesn't have a /run directory.

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#622231; Package xserver-xorg-input-synaptics. (Mon, 09 May 2011 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 09 May 2011 21:27:03 GMT) Full text and rfc822 format available.

Message #20 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 622231@bugs.debian.org
Subject: Re: Bug#622231: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Mon, 9 May 2011 23:24:17 +0200
On 2011-05-09 20:41:19 +0200, Julien Cristau wrote:
> On Mon, Apr 11, 2011 at 10:48:55 +0200, Vincent Lefevre wrote:
> > The problem seems to be that the synaptics driver isn't used in the first
> > case.
> > 
> That means udev or your kernel is screwed up.  Make sure your root
> filesystem doesn't have a /run directory.

There's no such directory.

I'm using udev 167-3 and the kernel was linux-image-2.6.38-2-amd64
2.6.38-4 for the latest problems.

Now I'm using linux-image-2.6.38-2-amd64 2.6.38-5. I did a single
reboot and the problem didn't appear.

I don't know whether this is related, but apart from ordering
differences, lsmod shows the following ones: when the bug appeared,
I got

evdev                  17475  16

and no joydev module listed. Now (where the bug doesn't appear),
I get

evdev                  17475  17
joydev                 17138  0

Also:

$ grep input: dmesg.bug622231
[    0.775256] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[   12.344552] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
[   12.375643] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A03:00/device:34/LNXVIDEO:00/input/input2
[   12.461978] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input3
[   12.465763] input: PC Speaker as /devices/platform/pcspkr/input/input4
[   12.496061] input: Sleep Button as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input5
[   13.086385] input: Dell WMI hotkeys as /devices/virtual/input/input6
[   13.495066] input: Laptop_Integrated_Webcam_0.3M as /devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input7
[   14.668988] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input8
[   14.685139] input: HDA Intel Mic at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input9
[   14.685215] input: HDA Intel Mic at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[   14.685279] input: HDA Intel Line Out at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[   14.685348] input: HDA Intel HP Out at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[   15.080771] input: PS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input13
[   26.272625] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input14

$ dmesg | grep input:
[    0.763127] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
[   10.108978] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
[   10.140084] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2
[   10.175719] input: Sleep Button as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3
[   10.176434] input: PC Speaker as /devices/platform/pcspkr/input/input4
[   10.200964] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A03:00/device:34/LNXVIDEO:00/input/input5
[   10.735055] input: Dell WMI hotkeys as /devices/virtual/input/input6
[   10.991351] input: DualPoint Stick as /devices/platform/i8042/serio1/input/input7
[   11.009085] input: AlpsPS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input8
[   11.910531] input: Laptop_Integrated_Webcam_0.3M as /devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input9
[   12.519513] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input10
[   12.529221] input: HDA Intel Mic at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[   12.529327] input: HDA Intel Mic at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[   12.529431] input: HDA Intel Line Out at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input13
[   12.529537] input: HDA Intel HP Out at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input14
[   24.305340] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input15

So, the differences are:

When the bug appeared:
[   15.080771] input: PS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input13

When it doesn't appear:
[   10.991351] input: DualPoint Stick as /devices/platform/i8042/serio1/input/input7
[   11.009085] input: AlpsPS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input8

Is there any other useful information I can give?

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#622231; Package xserver-xorg-input-synaptics. (Mon, 09 May 2011 21:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 09 May 2011 21:33:03 GMT) Full text and rfc822 format available.

Message #25 received at 622231@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 622231@bugs.debian.org, linux-2.6@packages.debian.org
Subject: Re: Bug#622231: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Mon, 9 May 2011 23:30:21 +0200
reassign 622231 linux-2.6 2.6.38-4
kthxbye

On Mon, May  9, 2011 at 23:24:17 +0200, Vincent Lefevre wrote:

> I'm using udev 167-3 and the kernel was linux-image-2.6.38-2-amd64
> 2.6.38-4 for the latest problems.
> 
> Now I'm using linux-image-2.6.38-2-amd64 2.6.38-5. I did a single
> reboot and the problem didn't appear.
> 
> I don't know whether this is related, but apart from ordering
> differences, lsmod shows the following ones: when the bug appeared,
> I got
> 
> evdev                  17475  16
> 
> and no joydev module listed. Now (where the bug doesn't appear),
> I get
> 
> evdev                  17475  17
> joydev                 17138  0
> 
> Also:
> 
> $ grep input: dmesg.bug622231
> [    0.775256] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
> [   12.344552] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
> [   12.375643] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A03:00/device:34/LNXVIDEO:00/input/input2
> [   12.461978] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input3
> [   12.465763] input: PC Speaker as /devices/platform/pcspkr/input/input4
> [   12.496061] input: Sleep Button as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input5
> [   13.086385] input: Dell WMI hotkeys as /devices/virtual/input/input6
> [   13.495066] input: Laptop_Integrated_Webcam_0.3M as /devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input7
> [   14.668988] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input8
> [   14.685139] input: HDA Intel Mic at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input9
> [   14.685215] input: HDA Intel Mic at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
> [   14.685279] input: HDA Intel Line Out at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
> [   14.685348] input: HDA Intel HP Out at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
> [   15.080771] input: PS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input13
> [   26.272625] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input14
> 
> $ dmesg | grep input:
> [    0.763127] input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input0
> [   10.108978] input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
> [   10.140084] input: Power Button as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2
> [   10.175719] input: Sleep Button as /devices/LNXSYSTM:00/device:00/PNP0C0E:00/input/input3
> [   10.176434] input: PC Speaker as /devices/platform/pcspkr/input/input4
> [   10.200964] input: Video Bus as /devices/LNXSYSTM:00/device:00/PNP0A03:00/device:34/LNXVIDEO:00/input/input5
> [   10.735055] input: Dell WMI hotkeys as /devices/virtual/input/input6
> [   10.991351] input: DualPoint Stick as /devices/platform/i8042/serio1/input/input7
> [   11.009085] input: AlpsPS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input8
> [   11.910531] input: Laptop_Integrated_Webcam_0.3M as /devices/pci0000:00/0000:00:1a.7/usb1/1-6/1-6:1.0/input/input9
> [   12.519513] input: HDA Digital PCBeep as /devices/pci0000:00/0000:00:1b.0/input/input10
> [   12.529221] input: HDA Intel Mic at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
> [   12.529327] input: HDA Intel Mic at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
> [   12.529431] input: HDA Intel Line Out at Sep Left Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input13
> [   12.529537] input: HDA Intel HP Out at Ext Right Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input14
> [   24.305340] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input15
> 
> So, the differences are:
> 
> When the bug appeared:
> [   15.080771] input: PS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input13
> 
> When it doesn't appear:
> [   10.991351] input: DualPoint Stick as /devices/platform/i8042/serio1/input/input7
> [   11.009085] input: AlpsPS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input8
> 
> Is there any other useful information I can give?
> 
Probably not, apart from letting us know if you can reproduce with the
newer kernel.  Seems like flaky touchpad detection.

Cheers,
Julien




Bug reassigned from package 'xserver-xorg-input-synaptics' to 'linux-2.6'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 09 May 2011 21:33:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions xserver-xorg-input-synaptics/1.4.0-1. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 09 May 2011 21:33:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.38-4. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 09 May 2011 21:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package linux-2.6. (Sat, 16 Jul 2011 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 16 Jul 2011 22:57:03 GMT) Full text and rfc822 format available.

Message #36 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Julien Cristau <jcristau@debian.org>
Cc: 622231@bugs.debian.org
Subject: Re: Bug#622231: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Sun, 17 Jul 2011 00:37:59 +0200
[Message part 1 (text/plain, inline)]
On 2011-05-09 23:24:17 +0200, Vincent Lefevre wrote:
> So, the differences are:
> 
> When the bug appeared:
> [   15.080771] input: PS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input13
> 
> When it doesn't appear:
> [   10.991351] input: DualPoint Stick as /devices/platform/i8042/serio1/input/input7
> [   11.009085] input: AlpsPS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input8

There are similar problems after a suspend/resume, with a
2.6.38 kernel and a 2.6.39 kernel (the 2.6.39 kernel also
occasionally freezes completely). After tests with a 2.6.38
kernel (provided by linux-image-2.6.38-2-amd64 2.6.38-5),
here are 5 attached files:

  * syslog1-ok  → kernel log after 1st suspend; touchpad recognized.
  * syslog2-bad → kernel log after 2nd suspend; touchpad not recognized.
  * syslog3-ok  → kernel log after 3rd suspend; touchpad recognized.

Diffs between the log files (without the dates and times):
  * logdiff-12 (between syslog1-ok and syslog2-bad).
  * logdiff-23 (between syslog2-bad and syslog3-ok).

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)
[syslog1-ok (text/plain, attachment)]
[syslog2-bad (text/plain, attachment)]
[syslog3-ok (text/plain, attachment)]
[logdiff-12 (text/plain, attachment)]
[logdiff-23 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package linux-2.6. (Thu, 18 Aug 2011 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 00:39:03 GMT) Full text and rfc822 format available.

Message #41 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Thu, 18 Aug 2011 02:36:39 +0200
found 622231 3.0.0-2
thanks

The problem has still occurred with linux-image-3.0.0-1-amd64 3.0.0-2.
I had to reboot the machine.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Bug Marked as found in versions 3.0.0-2. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Thu, 18 Aug 2011 00:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package linux-2.6. (Sun, 25 Sep 2011 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 25 Sep 2011 08:45:04 GMT) Full text and rfc822 format available.

Message #48 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Sun, 25 Sep 2011 10:42:23 +0200
found 622231 3.0.0-4
thanks

A usually better workaround than a reboot is a suspend/resume.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Bug Marked as found in versions 3.0.0-4. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 25 Sep 2011 08:45:13 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 3.1.1-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Thu, 17 Nov 2011 00:33:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 3.2.1-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Fri, 20 Jan 2012 03:15:42 GMT) Full text and rfc822 format available.

Marked as found in versions 3.2.21-2. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Thu, 28 Jun 2012 00:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package linux-2.6. (Thu, 28 Jun 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 28 Jun 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #61 received at 622231@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: Julien Cristau <jcristau@debian.org>, 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Wed, 27 Jun 2012 20:42:08 -0500
Hi,

Vincent Lefevre wrote:
> On 2011-05-09 23:24:17 +0200, Vincent Lefevre wrote:

>> So, the differences are:
>>
>> When the bug appeared:
>> [   15.080771] input: PS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input13
>>
>> When it doesn't appear:
>> [   10.991351] input: DualPoint Stick as /devices/platform/i8042/serio1/input/input7
>> [   11.009085] input: AlpsPS/2 ALPS DualPoint TouchPad as /devices/platform/i8042/serio1/input/input8
>
> There are similar problems after a suspend/resume

What kind of machine is this?  Please attach full "dmesg" output
from a normal boot and an acpidump.

Is this a regression or did this machine always behave this way?
Does the 2.6.32-based kernel in squeeze exhibit the same symptoms?
(Generally it is supposed to work fine on wheezy/sid.)

How about 3.4.y from experimental (or some other kernel 3.3-rc7 or
newer)?  If it exhibits the same bug, please send a summary of
symptoms to linux-input@vger.kernel.org, cc-ing Seth Forshee
<seth.forshee@canonical.com> and either me or this bug log so we can
track it.  Hopefully someone upstream will be able to give hints for
finding the difference between the cases where the touchpad is
properly detected and not so (e.g., by adding some printk calls).

Hope that helps,
Jonathan




No longer marked as found in versions 3.2.21-2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 28 Jun 2012 01:54:08 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.2.21-2. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 28 Jun 2012 01:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package linux-2.6. (Thu, 28 Jun 2012 08:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 28 Jun 2012 08:06:04 GMT) Full text and rfc822 format available.

Message #70 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Julien Cristau <jcristau@debian.org>, 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Thu, 28 Jun 2012 09:55:44 +0200
[Message part 1 (text/plain, inline)]
On 2012-06-27 20:42:08 -0500, Jonathan Nieder wrote:
> What kind of machine is this?

DELL Latitude E6400

> Please attach full "dmesg" output from a normal boot and an
> acpidump.

Attached.

> Is this a regression or did this machine always behave this way?

The problem apparently appeared with 2.6.37 or 2.6.38, but it's
difficult to know if it was present before since it is a bit
difficult to reproduce it, and I don't often reboot the machine
or put it into sleep.

> Does the 2.6.32-based kernel in squeeze exhibit the same symptoms?
> (Generally it is supposed to work fine on wheezy/sid.)

IIRC, I didn't have this problem with 2.6.29, 2.6.30, 2.6.31 and 2.6.32.
But I don't know whether I did enough reboots or sleep/resume at that
time.

> How about 3.4.y from experimental (or some other kernel 3.3-rc7 or
> newer)?  If it exhibits the same bug, please send a summary of
> symptoms to linux-input@vger.kernel.org, cc-ing Seth Forshee
> <seth.forshee@canonical.com> and either me or this bug log so we can
> track it.  Hopefully someone upstream will be able to give hints for
> finding the difference between the cases where the touchpad is
> properly detected and not so (e.g., by adding some printk calls).

I'll try to do some tests.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)
[dmesg.out (text/plain, attachment)]
[acpidump.out (text/plain, attachment)]

Bug reassigned from package 'linux-2.6' to 'src:linux'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 22:15:03 GMT) Full text and rfc822 format available.

No longer marked as found in versions 3.0.0-4, 3.2.1-1, linux/3.2.21-2, 3.1.1-1, 2.6.38-4, and 3.0.0-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 22:15:03 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.2.21-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 22:15:04 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/3.2.1-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 22:15:04 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/3.1.1-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 22:15:05 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/3.0.0-4. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 22:15:06 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/3.0.0-2. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 22:15:11 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/2.6.38-4. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 22:15:13 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 22:15:13 GMT) Full text and rfc822 format available.

Changed Bug title to 'Dell Latitude E6400: AlpsPS/2 touchpad sometimes misdetected as plain PS/2' from 'xserver-xorg-input-synaptics: synaptics driver not always used' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 28 Jun 2012 22:15:14 GMT) Full text and rfc822 format available.

Marked as found in versions linux-2.6/3.2.4-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 03:30:14 GMT) Full text and rfc822 format available.

Merged 622231 679750 679844 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 03:30:18 GMT) Full text and rfc822 format available.

Merged 622231 679750 679844 680154 Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 03:30:27 GMT) Full text and rfc822 format available.

Disconnected #622231 from all other report(s). Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 04:39:04 GMT) Full text and rfc822 format available.

No longer marked as found in versions linux-2.6/3.2.4-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 04 Jul 2012 04:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Sat, 18 Aug 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ael <law_ence.dev@ntlworld.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Aug 2012 15:21:03 GMT) Full text and rfc822 format available.

Message #105 received at 622231@bugs.debian.org (full text, mbox):

From: ael <law_ence.dev@ntlworld.com>
To: 622231@bugs.debian.org
Subject: psmouse module doesn't reliably detect Synaptics touchpad
Date: Sat, 18 Aug 2012 15:53:16 +0100
This report is for an Acer Aspire One touchpad rather than a  
Dell latitude.

When the kernel detects the pad correctly, /proc/bus/input/devices
includes:-
-----------------------------------------------------
I: Bus=0011 Vendor=0002 Product=0007 Version=01b1
N: Name="SynPS/2 Synaptics TouchPad"
P: Phys=isa0060/serio2/input0
S: Sysfs=/devices/platform/i8042/serio2/input/input11
U: Uniq=
H: Handlers=mouse0 event11 
B: PROP=9
B: EV=b
B: KEY=6420 0 30000 0 0 0 0 0 0 0 0
B: ABS=2608000 11000003
-----------------------------------------------------

Nondeterministically, the kernel, 3.2.0-3-686-pae on testing today,
will only report Name="PS/2 Synaptics TouchPad", and the xserver-xorg-
input-synaptics then fails to work (I presume is not loaded) as
described in /usr/share/doc/xserver-xorg-input-synaptics/trouble-shooting.txt.gz which says:

"If you are using a 2.6 linux kernel, check the
/proc/bus/input/devices
file. The touchpad must be identified a "SynPS/2 Synaptics TouchPad"
or an "AlpsPS/2 ALPS TouchPad". If it is identified as a "PS/2 Generic
Mouse" or "PS/2 Synaptics TouchPad", something is wrong.
"
Reloading the psmouse module does *not* fix the problem: it seems to
be necessary to reboot.

This is relatively rare, but has shown up as a regression from
linux-image-3.2.0-2-686-pae to linux-image-3.2.0-3-686-pae.
 
A long standing and perhaps related problem also results in the
xorg synaptics driver not working, but that *is* resolved
by reloading the psmouse module. That happens on perhaps half
the time on fresh boots. Smells like a race condition somewhere
in psmouse? ISTR that I had bug reported this last problem long
ago, with no result. Reloading psmouse wasn't much of a burden
(although it did smell of Windoze), so I didn't bother to chase that up.

As it happens, while I was composing this message, the touchpad
(well the pointer) froze. I reloaded psmouse and the pad worked again.

I have just found in /var/log/Xorg.log:
-----------------------------------------------------------------
[  2362.471] (II) config/udev: removing device SynPS/2 Synaptics TouchPad
[  2362.477] (II) UnloadModule: "synaptics"
[  2363.669] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/event11)
[  2363.669] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad catchall"
[  2363.669] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
[  2363.669] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "Default clickpad buttons"
[  2363.669] (**) SynPS/2 Synaptics TouchPad: Applying InputClass "Synaptics TouchPad"
[  2363.669] (II) Using input driver 'synaptics' for 'SynPS/2 Synaptics TouchPad'
[  2363.670] (**) SynPS/2 Synaptics TouchPad: always reports core events
[  2363.670] (**) Option "Device" "/dev/input/event11"
[  2363.712] (II) synaptics: SynPS/2 Synaptics TouchPad: ignoring touch events for semi-multitouch device
[  2363.712] (--) synaptics: SynPS/2 Synaptics TouchPad: x-axis 8
[  2363.712] (--) synaptics: SynPS/2 Synaptics TouchPad: y-axis 8
[  2363.712] (--) synaptics: SynPS/2 Synaptics TouchPad: pressur
[  2363.712] (--) synaptics: SynPS/2 Synaptics TouchPad: finger 15
[  2363.712] (--) synaptics: SynPS/2 Synaptics TouchPad: buttonsble triple
[  2363.713] (--) synaptics: SynPS/2 Synaptics TouchPad: Vendor 
[  2363.713] (**) Option "LeftEdge" "1700"
[  2363.713] (**) Option "BottomEdge" "5100"
[  2363.713] (**) Option "FingerLow" "25"
[  2363.713] (**) Option "FingerHigh" "30"
[  2363.713] (**) Option "MaxTapTime" "180"
[  2363.713] (**) Option "MaxDoubleTapTime" "140"
[  2363.714] (**) Option "VertScrollDelta" "100"
[  2363.714] (**) Option "VertEdgeScroll" "true"
[  2363.714] (**) Option "HorizEdgeScroll" "true"
[  2363.714] (**) Option "VertTwoFingerScroll" "true"
[  2363.714] (**) Option "HorizTwoFingerScroll" "true"
[  2363.715] (**) Option "RTCornerButton" "2"
[  2363.715] (**) Option "TapButton1" "1"
[  2363.715] (**) Option "TapButton2" "2"
[  2363.715] (**) Option "MinSpeed" "0.5"
[  2363.715] (**) Option "MaxSpeed" "20"
[  2363.715] (**) Option "AccelFactor" "0.02"
[  2363.716] (--) synaptics: SynPS/2 Synaptics TouchPad: touchpad found
[  2363.716] (**) SynPS/2 Synaptics TouchPad: always reports core events
[  2363.720] (**) Option "config_info" "udev:/sys/devices/platform/i8042/serio2/input/input13/event11"
[  2363.720] (II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad" (type: TOUCHPAD, id 12)
[  2363.720] (**) synaptics: SynPS/2 Synaptics TouchPad: (accel) MinSpeed is now constant deceleration 2.0
[  2363.720] (**) synaptics: SynPS/2 Synaptics TouchPad: MaxSpeed is now 40.00
[  2363.720] (**) synaptics: SynPS/2 Synaptics TouchPad: AccelFactor is now 0.020
[  2363.722] (**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
[  2363.722] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 1
[  2363.722] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
[  2363.722] (**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
[  2363.725] (II) config/udev: Adding input device SynPS/2 Synaptics TouchPad (/dev/input/mouse0)
[  2363.725] (**) SynPS/2 Synaptics TouchPad: Ignoring device from InputClass "touchpad ignore duplicates"
-------------------------------------------------------------------------
So it looks as if the kernel passed some sort of disconnect event to
udev, but as there are no time stamps, I am not sure how this fits with
the other symptoms.

I realize this isn't a lot of help, but if this reaches 
Vojtech Pavlik's eyes, maybe he can spot what might be happening...

ael



Added tag(s) moreinfo. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 19 Aug 2012 19:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Mon, 20 Aug 2012 00:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 20 Aug 2012 00:45:03 GMT) Full text and rfc822 format available.

Message #112 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Julien Cristau <jcristau@debian.org>, 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Mon, 20 Aug 2012 02:43:28 +0200
On 2012-06-28 09:55:44 +0200, Vincent Lefevre wrote:
> On 2012-06-27 20:42:08 -0500, Jonathan Nieder wrote:
> > How about 3.4.y from experimental (or some other kernel 3.3-rc7 or
> > newer)?  If it exhibits the same bug, please send a summary of
> > symptoms to linux-input@vger.kernel.org, cc-ing Seth Forshee
> > <seth.forshee@canonical.com> and either me or this bug log so we can
> > track it.  Hopefully someone upstream will be able to give hints for
> > finding the difference between the cases where the touchpad is
> > properly detected and not so (e.g., by adding some printk calls).
> 
> I'll try to do some tests.

I tried, but couldn't reproduce the bug, IIRC, even with 3.2.21-3
and 3.2.23-1, since the beginning of July. This is a period where
I intensively used the touchpad, and did about 20 reboots and lots
of suspend/resume. If the bug is still there, it's surprising that
I haven't noticed it.

Note: I don't know whether this is related, but there is an
inconsistency in keyboard detection too:

  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=633849#41

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Added tag(s) unreproducible; removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 20 Aug 2012 00:57:03 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Mon, 20 Aug 2012 00:57:05 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.net>:
Bug acknowledged by developer. (Mon, 20 Aug 2012 00:57:05 GMT) Full text and rfc822 format available.

Message #119 received at 622231-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 622231-done@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Sun, 19 Aug 2012 17:54:48 -0700
tags 622231 = unreproducible
quit

Vincent Lefevre wrote:

> I tried, but couldn't reproduce the bug

Therefore closing, but if it happens again, we'll be happy to
revisit it.

Thanks again,
Jonathan



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 17 Sep 2012 07:27:26 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Tue, 08 Jan 2013 19:24:06 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.5.5-1~experimental.1 and reopened. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Tue, 08 Jan 2013 19:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Tue, 08 Jan 2013 20:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 08 Jan 2013 20:06:06 GMT) Full text and rfc822 format available.

Message #130 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Tue, 8 Jan 2013 20:56:18 +0100
On 2012-08-19 17:54:48 -0700, Jonathan Nieder wrote:
> Therefore closing, but if it happens again, we'll be happy to
> revisit it.

The bug occurred twice with 3.5.5-1~experimental.1 (first boot
was after two weeks my laptop was switched off, and another
reboot immediately after). The third (re)boot was OK.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Tue, 08 Jan 2013 21:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 08 Jan 2013 21:03:03 GMT) Full text and rfc822 format available.

Message #135 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Tue, 8 Jan 2013 21:52:53 +0100
On 2012-08-19 17:54:48 -0700, Jonathan Nieder wrote:
> Therefore closing, but if it happens again, we'll be happy to
> revisit it.

The bug occurred twice with 3.5.5-1~experimental.1 (first boot
was after two weeks my laptop was switched off, and another
reboot immediately after). The third (re)boot was OK.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Thu, 10 Jan 2013 07:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 10 Jan 2013 07:03:03 GMT) Full text and rfc822 format available.

Message #140 received at 622231@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Wed, 9 Jan 2013 23:01:16 -0800
Vincent Lefevre wrote:
> On 2012-08-19 17:54:48 -0700, Jonathan Nieder wrote:

>> Therefore closing, but if it happens again, we'll be happy to
>> revisit it.
>
> The bug occurred twice with 3.5.5-1~experimental.1 (first boot
> was after two weeks my laptop was switched off, and another
> reboot immediately after). The third (re)boot was OK.

Hm, heisenbugs are no fun.  I'm guessing the simplest way forward
is to compare traces of the touchpad detection from the working
and non-working boots.

Please add "i8042.i8042_debug=1" to the kernel command line and
confirm that your kernel log is filled with noise.  IIRC the
interesting stuff happens during boot, so you can might want to quell
the noise afterward by running
"echo 0 >/sys/module/i8042/parameters/debug".

Hope that helps,
Jonathan



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Thu, 10 Jan 2013 21:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 10 Jan 2013 21:09:03 GMT) Full text and rfc822 format available.

Message #145 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Thu, 10 Jan 2013 22:05:15 +0100
On 2013-01-09 23:01:16 -0800, Jonathan Nieder wrote:
> Please add "i8042.i8042_debug=1" to the kernel command line and
> confirm that your kernel log is filled with noise.

This doesn't change anything.

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Fri, 11 Jan 2013 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 11 Jan 2013 00:15:03 GMT) Full text and rfc822 format available.

Message #150 received at 622231@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Thu, 10 Jan 2013 16:13:30 -0800
Vincent Lefevre wrote:
> On 2013-01-09 23:01:16 -0800, Jonathan Nieder wrote:

>> Please add "i8042.i8042_debug=1" to the kernel command line and
>> confirm that your kernel log is filled with noise.
>
> This doesn't change anything.

Odd.  Any idea why

 #define dbg(format, arg...)							\
	do {									\
		if (i8042_debug)						\
			printk(KERN_DEBUG KBUILD_MODNAME ": [%d] " format,	\
			       (int) (jiffies - i8042_start_time), ##arg);	\

from drivers/input/serio/i8042.h (called for example by __i8042_command) is not
being triggered?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Fri, 11 Jan 2013 00:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 11 Jan 2013 00:33:03 GMT) Full text and rfc822 format available.

Message #155 received at 622231@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Vincent Lefevre <vincent@vinc17.net>
Cc: 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Thu, 10 Jan 2013 16:31:01 -0800
Vincent Lefevre wrote:
> On 2013-01-09 23:01:16 -0800, Jonathan Nieder wrote:

>> Please add "i8042.i8042_debug=1" to the kernel command line and
>> confirm that your kernel log is filled with noise.
>
> This doesn't change anything.

Sheesh, I can't read.  The parameter should be "i8042.debug=1".



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Fri, 11 Jan 2013 09:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 11 Jan 2013 09:00:03 GMT) Full text and rfc822 format available.

Message #160 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 622231@bugs.debian.org
Subject: Re: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Fri, 11 Jan 2013 09:48:50 +0100
[Message part 1 (text/plain, inline)]
On 2013-01-10 16:31:01 -0800, Jonathan Nieder wrote:
> Sheesh, I can't read.  The parameter should be "i8042.debug=1".

The logs with a bad detection: bad-kern.log.xz
The logs with a good detection: good-kern.log.xz

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <http://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)
[bad-kern.log.xz (application/octet-stream, attachment)]
[good-kern.log.xz (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Sat, 19 Jan 2013 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 19 Jan 2013 21:39:03 GMT) Full text and rfc822 format available.

Message #165 received at 622231@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Dmitry Torokhov <dmitry.torokhov@gmail.com>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 622231@bugs.debian.org, Vincent Lefevre <vincent@vinc17.net>, linux-input@vger.kernel.org
Subject: Re: Bug#622231: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Sat, 19 Jan 2013 21:35:19 +0000
[Message part 1 (text/plain, inline)]
Vincent Lefevre reported that on a Dell Latitude E6400 the ALPS
DualPoint touchpad is sometimes detected as using generic PS/2 protocol
and not the ALPS protocol.  This can happen either at boot time or after
resume and with kernel versions ranging from at least 2.6.38 to 3.5.

He has now provided logs of the good and bad probes with i8042.debug=1,
which are attached to <http://bugs.debian.org/622231#160>.

Is there any more information he could provide that would help to debug
this?  Have you had any similar reports?

Ben.

-- 
Ben Hutchings
All the simple programs have been written, and all the good names taken.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 19 Jan 2013 21:39:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'linux-input@vger.kernel.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 19 Jan 2013 21:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Tue, 22 Jan 2013 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Torokhov <dmitry.torokhov@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 22 Jan 2013 00:03:04 GMT) Full text and rfc822 format available.

Message #174 received at 622231@bugs.debian.org (full text, mbox):

From: Dmitry Torokhov <dmitry.torokhov@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Jonathan Nieder <jrnieder@gmail.com>, 622231@bugs.debian.org, Vincent Lefevre <vincent@vinc17.net>, linux-input@vger.kernel.org
Subject: Re: Bug#622231: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Mon, 21 Jan 2013 16:00:31 -0800
Hi Ben,

On Sat, Jan 19, 2013 at 09:35:19PM +0000, Ben Hutchings wrote:
> Vincent Lefevre reported that on a Dell Latitude E6400 the ALPS
> DualPoint touchpad is sometimes detected as using generic PS/2 protocol
> and not the ALPS protocol.  This can happen either at boot time or after
> resume and with kernel versions ranging from at least 2.6.38 to 3.5.
> 
> He has now provided logs of the good and bad probes with i8042.debug=1,
> which are attached to <http://bugs.debian.org/622231#160>.
> 
> Is there any more information he could provide that would help to debug
> this?  Have you had any similar reports?

No, I did not recall specifically any such reports. I'll try to check
the logs and see if anything jumps out at me.

Thanks.

-- 
Dmitry



Marked as found in versions linux/3.8.11-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Mon, 06 May 2013 16:21:09 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.10.7-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 18 Aug 2013 14:39:03 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.11.6-2. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Mon, 04 Nov 2013 01:27:12 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.12.6-2. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 05 Jan 2014 02:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#622231; Package src:linux. (Sun, 23 Feb 2014 16:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 23 Feb 2014 16:39:05 GMT) Full text and rfc822 format available.

Message #187 received at 622231@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.net>
To: 622231@bugs.debian.org
Subject: Re: Bug#622231: xserver-xorg-input-synaptics: synaptics driver not always used
Date: Sun, 23 Feb 2014 17:37:27 +0100
Control: tags -1 - unreproducible
Control: retitle 622231 Dell Latitude E6400: AlpsPS/2 touchpad misdetected as plain PS/2
Control: found -1 3.13.4-1

On 2011-04-11 10:48:55 +0200, Vincent Lefevre wrote:
> After some reboots, the pointer is sometimes slow to move with the
> touchpad. Restarting the X server (as done by gdm3) doesn't solve
> the problem. A reboot is required. I already got this problem
> several weeks ago.

This is now always reproducible!

I'm back to 3.11...

-- 
Vincent Lefèvre <vincent@vinc17.net> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)



Removed tag(s) unreproducible. Request was from Vincent Lefevre <vincent@vinc17.net> to 622231-submit@bugs.debian.org. (Sun, 23 Feb 2014 16:39:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'Dell Latitude E6400: AlpsPS/2 touchpad misdetected as plain PS/2' from 'Dell Latitude E6400: AlpsPS/2 touchpad sometimes misdetected as plain PS/2' Request was from Vincent Lefevre <vincent@vinc17.net> to 622231-submit@bugs.debian.org. (Sun, 23 Feb 2014 16:39:06 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.13.4-1. Request was from Vincent Lefevre <vincent@vinc17.net> to 622231-submit@bugs.debian.org. (Sun, 23 Feb 2014 16:39:07 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.12.9-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 02 Mar 2014 17:51:10 GMT) Full text and rfc822 format available.

Merged 622231 740485 Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 02 Mar 2014 17:51:11 GMT) Full text and rfc822 format available.

Marked as found in versions linux/3.13.6-1. Request was from Vincent Lefevre <vincent@vinc17.net> to control@bugs.debian.org. (Sun, 23 Mar 2014 00:36:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:26:13 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.